Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/net-p2p/amule-devel/Makefile,v
retrieving revision 1.52
diff -u -r1.52 Makefile
--- Makefile	26 Mar 2011 23:31:49 -0000	1.52
+++ Makefile	14 Jul 2011 22:02:52 -0000
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	amule
-PORTVERSION=	10400
-PORTREVISION=	2
+PORTVERSION=	10587
 CATEGORIES=	net-p2p
 MASTER_SITES=	http://amule.sourceforge.net/tarballs/
 PKGNAMESUFFIX=	-devel
@@ -18,6 +17,7 @@
 
 BUILD_DEPENDS=	${FLEX}:${PORTSDIR}/textproc/flex \
 		${LOCALBASE}/lib/libcryptopp.a:${PORTSDIR}/security/cryptopp
+RUN_DEPENDS=	update-desktop-database:${PORTSDIR}/devel/desktop-file-utils
 
 CONFLICTS=	amule-[0-9]*
 
@@ -28,8 +28,6 @@
 USE_BZIP2=	yes
 USE_GNOME=	pkgconfig
 USE_GMAKE=	yes
-USE_KDE4=	# empty
-USE_QT_VER=	4
 USE_WX=		2.8
 WX_CONF_ARGS=	absolute
 GNU_CONFIGURE=	yes
@@ -61,14 +59,13 @@
 		WXUNICODE "Enable Unicode support" on \
 		XAS "Install XChat2 plugin" on
 
-PORTDOCS=	ABOUT-NLS Changelog EC_Protocol.txt \
-		ED2K-Links.HOWTO INSTALL README TODO \
-		amule-win32.HOWTO.txt amulesig.txt license.txt socks4.protocol
+PORTDOCS=	ABOUT-NLS Changelog EC_Protocol.txt INSTALL README TODO \
+		amulesig.txt license.txt
 
 FLEX?=		${LOCALBASE}/bin/flex
 PKG_CONFIG?=	${LOCALBASE}/bin/pkg-config
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 .if !defined(WITH_DEBUG)
 CONFIGURE_ARGS+=--disable-debug
@@ -175,7 +172,8 @@
 			KBUILDSYCOCA=${KDE4_PREFIX}/bin/kbuildsycoca4 \
 			UPDATE_MIME_DATABASE=/usr/bin/true
 CONFIGURE_ARGS+=	--enable-plasmamule
-USE_KDE4+=		kdelibs
+USE_KDE4=		kdelibs
+USE_QT_VER=		4
 QT_COMPONENTS+=		dbus gui moc_build
 PLIST_SUB+=		PLASMAMULE=""
 .else
@@ -232,7 +230,6 @@
 .if !defined(WITHOUT_PLASMAMULE)
 	${REINPLACE_CMD} -e 's|@prefix@|${KDE4_PREFIX}|' \
 		-e 's|LDFLAGS =|& -L${KDE4_PREFIX}/lib |' \
-		-e '/plasma.*feeder.*LDFLAGS/s/=/& -lQtDBus /' \
 		${WRKSRC}/src/utils/plasmamule/Makefile.in
 .endif
 
@@ -246,4 +243,4 @@
 .endif
 	-update-desktop-database ${PREFIX}/share/applications
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Index: Makefile.man
===================================================================
RCS file: /home/pcvs/ports/net-p2p/amule-devel/Makefile.man,v
retrieving revision 1.9
diff -u -r1.9 Makefile.man
--- Makefile.man	24 Nov 2010 02:08:42 -0000	1.9
+++ Makefile.man	14 Jul 2011 22:02:52 -0000
@@ -1,28 +1,16 @@
-# TODO : Add fr here when pages are complete
-MANLANG=	"" de es eu fr hu it
-#MANCOMPRESSED=	no
+# no eu for amulegui.1
+# no fr,ru for xas.1
+MANLANG=	"" de es eu fr hu it ru
 
 .if !defined(WITHOUT_NLS)
 . if !defined(WITHOUT_MONOLITHIC)
 MAN1+=		amule.1
 . endif
 . if !defined(WITHOUT_ALC)
-MAN1_EN+=	alc.1
-MAN1_DE+=	alc.1
-MAN1_ES+=	alc.1
-MAN1_EU+=	alc.1
-MAN1_FR+=	alc.1
-MAN1_HU+=	alc.1
-MAN1_IT+=	alc.1
+MAN1+=		alc.1
 . endif
 . if !defined(WITHOUT_ALCC)
-MAN1_EN+=	alcc.1
-MAN1_DE+=	alcc.1
-MAN1_ES+=	alcc.1
-MAN1_EU+=	alcc.1
-MAN1_FR+=	alcc.1
-MAN1_HU+=	alcc.1
-MAN1_IT+=	alcc.1
+MAN1+=		alcc.1
 . endif
 . if !defined(WITHOUT_AMULECMD)
 MAN1+=		amulecmd.1
@@ -34,16 +22,13 @@
 MAN1_EN+=	amulegui.1
 MAN1_DE+=	amulegui.1
 MAN1_ES+=	amulegui.1
+MAN1_FR+=	amulegui.1
 MAN1_HU+=	amulegui.1
 MAN1_IT+=	amulegui.1
+MAN1_RU+=	amulegui.1
 . endif
 . if !defined(WITHOUT_CAS)
-MAN1_EN+=	cas.1
-MAN1_DE+=	cas.1
-MAN1_ES+=	cas.1
-MAN1_EU+=	cas.1
-MAN1_HU+=	cas.1
-MAN1_IT+=	cas.1
+MAN1+=		cas.1
 . endif
 . if !defined(WITHOUT_ED2K)
 MAN1+=		ed2k.1
@@ -52,13 +37,7 @@
 MAN1+=		amuleweb.1
 . endif
 . if !defined(WITHOUT_WXCAS)
-MAN1_EN+=	wxcas.1
-MAN1_DE+=	wxcas.1
-MAN1_ES+=	wxcas.1
-MAN1_EU+=	wxcas.1
-MAN1_FR+=	wxcas.1
-MAN1_HU+=	wxcas.1
-MAN1_IT+=	wxcas.1
+MAN1+=		wxcas.1
 . endif
 .endif # !WITHOUT_NLS
 
Index: distinfo
===================================================================
RCS file: /home/pcvs/ports/net-p2p/amule-devel/distinfo,v
retrieving revision 1.20
diff -u -r1.20 distinfo
--- distinfo	23 Dec 2010 03:59:36 -0000	1.20
+++ distinfo	14 Jul 2011 22:02:52 -0000
@@ -1,2 +1,2 @@
-SHA256 (aMule-SVN-r10400.tar.bz2) = 8ded9e003b3001c5d16b1d72a6a63938a9b3a238ef090f2b0c29ed6ed1cf0ea7
-SIZE (aMule-SVN-r10400.tar.bz2) = 4538567
+SHA256 (aMule-SVN-r10587.tar.bz2) = 3e2aa03aa9c926a854943ac0e0c4ed5904fc9a93901d1a840d4545e752e4c06a
+SIZE (aMule-SVN-r10587.tar.bz2) = 4560616
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/net-p2p/amule-devel/pkg-plist,v
retrieving revision 1.18
diff -u -r1.18 pkg-plist
--- pkg-plist	24 Nov 2010 02:08:42 -0000	1.18
+++ pkg-plist	14 Jul 2011 22:02:53 -0000
@@ -162,6 +162,8 @@
 @dirrmtry man/hu
 @dirrmtry man/it/man1
 @dirrmtry man/it
+@dirrmtry man/ru/man1
+@dirrmtry man/ru
 @dirrm %%DATADIR%%/skins
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver/default
 %%WEBSERVER%%@dirrm %%DATADIR%%/webserver