diff -ruN /nonexistant/Makefile charybdis/Makefile
--- /nonexistant/Makefile	1970-01-01 00:00:00.000000000 +0000
+++ charybdis/Makefile	2011-03-06 17:13:45.004610938 +0000
@@ -0,0 +1,52 @@
+# New ports collection Makefile for:	charybdis
+# Date created:	 	6th March 2011
+# Whom:			Chris Rees <utisoft@gmail.com>
+#
+# $FreeBSD$
+#
+
+PORTNAME=	charybdis
+PORTVERSION=	3.3.0
+CATEGORIES=	irc net
+MASTER_SITES=	http://www.stack.nl/~jilles/irc/ \
+		http://www.bayofrum.net/dist/${PORTNAME}/
+EXTRACT_SUFX=	.tbz2
+
+MAINTAINER=	utisoft@gmail.com
+COMMENT=	A powerful IRC daemon, based on ircd-ratbox
+
+LICENSE=	GPLv2
+
+CONFLICTS=	ircd-ratbox-[0-9]* \
+		ircd-ratbox-devel-[0-9]* \
+		nefarious-[0-9]* \
+		ircd-hybrid-[0-9]* \
+		ptlink-ircd-[0-9]*
+
+MAN8=		ircd.8
+
+USE_LDCONFIG=	yes
+USE_RC_SUBR=	${PORTNAME}
+SUB_LIST=	PORTNAME=${PORTNAME}
+GNU_CONFIGURE=	yes
+CONFIGURE_ARGS=	--with-confdir=${ETCDIR} \
+		--with-helpdir=${DATADIR}/help \
+		--with-logdir=/var/log/${PORTNAME} \
+		--with-moduledir=${DATADIR}/modules \
+		--enable-kqueue
+
+USERS=	ircd
+GROUPS=	ircd
+
+post-patch:
+	@${REINPLACE_CMD} -e \
+		's#(libdir)/pkgconfig#${PREFIX}/libdata/pkgconfig#' \
+		${WRKSRC}/libratbox/Makefile.in
+# Fix BANDB path madness
+	@${REINPLACE_CMD} -e 's#bandb_dpath != NULL#0#' \
+		${WRKSRC}/bandb/rsdb_sqlite3.c
+
+pre-su-install:
+	@${MKDIR} ${DATADIR}
+
+.include <bsd.port.mk>
diff -ruN /nonexistant/distinfo charybdis/distinfo
--- /nonexistant/distinfo	1970-01-01 00:00:00.000000000 +0000
+++ charybdis/distinfo	2011-03-06 13:22:36.699758304 +0000
@@ -0,0 +1,2 @@
+SHA256 (charybdis-3.3.0.tbz2) = b5feae88c031dee799144fbfde9d64f3ace4c979c337a1047677a17600dddab1
+SIZE (charybdis-3.3.0.tbz2) = 1478877
diff -ruN /nonexistant/files/charybdis.in charybdis/files/charybdis.in
--- /nonexistant/files/charybdis.in	1970-01-01 00:00:00.000000000 +0000
+++ charybdis/files/charybdis.in	2011-03-06 15:08:21.751109415 +0000
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+# $FreeBSD$
+#
+# PROVIDE: %%PORTNAME%%
+# REQUIRE: LOGIN
+#
+# Add the following lines to /etc/rc.conf or /etc/rc.conf.local to
+# enable %%PORTNAME%%:
+# %%PORTNAME%%_enable (bool):	Set to "NO" by default.
+#
+
+. /etc/rc.subr
+
+name="%%PORTNAME%%"
+rcvar=`set_rcvar`
+
+load_rc_config $name
+
+: ${%%PORTNAME%%_enable="NO"}
+: ${%%PORTNAME%%_user="ircd"}
+: ${%%PORTNAME%%_group="ircd"}
+
+command="%%PREFIX%%/bin/ircd"
+pidfile="/var/run/${name}/${name}.pid"
+command_args="-configfile %%ETCDIR%%/ircd.conf -pidfile ${pidfile}"
+
+start_precmd="${name}_prestart"
+
+%%PORTNAME%%_prestart()
+{
+	install -d -o ircd -m755 /var/run/${name} /var/log/${name}
+	chown -R ircd %%ETCDIR%%
+}
+
+run_rc_command "$1"
diff -ruN /nonexistant/files/patch-tools-Makefile-in charybdis/files/patch-tools-Makefile-in
--- /nonexistant/files/patch-tools-Makefile-in	1970-01-01 00:00:00.000000000 +0000
+++ charybdis/files/patch-tools-Makefile-in	2011-03-06 12:08:57.452929293 +0000
@@ -0,0 +1,30 @@
+--- tools/Makefile.in.orig	2010-10-15 13:29:52.000000000 +0000
++++ tools/Makefile.in	2011-03-06 12:08:11.834345937 +0000
+@@ -4,6 +4,7 @@
+ INSTALL		= @INSTALL@
+ INSTALL_BIN	= @INSTALL_PROGRAM@
+ INSTALL_DATA	= @INSTALL_DATA@
++INSTALL_SCRIPT	= @INSTALL_SCRIPT@
+ INSTALL_SUID	= @INSTALL_PROGRAM@ -o root -m 4755
+ RM		= @RM@
+ LEX		= @LEX@
+@@ -27,9 +28,9 @@
+ confdir		= @confdir@
+ localstatedir	= @localstatedir@
+ 
+-PROGS		= viconf mkpasswd convertilines convertklines genssl.sh
++PROGS		= viconf mkpasswd convertilines convertklines
+ 
+-all: $(PROGS)
++all: $(PROGS) genssl.sh
+ 
+ build: all
+ 
+@@ -100,6 +101,7 @@
+ 		fi; \
+ 		$(INSTALL_BIN) $$i $(DESTDIR)$(bindir); \
+ 	done; \
++	$(INSTALL_SCRIPT) genssl.sh $(DESTDIR)$(bindir); \
+ 	$(RM) -f $(DESTDIR)$(bindir)/vimotd $(DESTDIR)$(bindir)/viklines
+ 	$(LN) $(DESTDIR)$(bindir)/viconf $(DESTDIR)$(bindir)/vimotd
+ 	$(LN) $(DESTDIR)$(bindir)/viconf $(DESTDIR)$(bindir)/viklines
diff -ruN /nonexistant/pkg-descr charybdis/pkg-descr
--- /nonexistant/pkg-descr	1970-01-01 00:00:00.000000000 +0000
+++ charybdis/pkg-descr	2011-03-06 13:12:37.519139720 +0000
@@ -0,0 +1,5 @@
+A powerful IRC daemon, based on ircd-ratbox. Utilized on networks such as
+StaticBox and SorceryNet. A variant of charybdis has currently been deployed
+on Freenode.
+
+WWW: http://www.atheme.org/project/charybdis
diff -ruN /nonexistant/pkg-plist charybdis/pkg-plist
--- /nonexistant/pkg-plist	1970-01-01 00:00:00.000000000 +0000
+++ charybdis/pkg-plist	2011-03-06 15:15:28.011469193 +0000
@@ -0,0 +1,286 @@
+bin/bandb
+bin/bantool
+bin/convertilines
+bin/convertklines
+bin/genssl.sh
+bin/ircd
+bin/mkpasswd
+bin/ssld
+bin/viconf
+bin/viklines
+bin/vimotd
+etc/charybdis/dline.conf
+etc/charybdis/example.conf
+etc/charybdis/ircd.motd
+etc/charybdis/kline.conf
+etc/charybdis/reference.conf
+etc/charybdis/resv.conf
+etc/charybdis/xline.conf
+lib/libratbox.la
+lib/libratbox.so
+%%DATADIR%%/help/opers/accept
+%%DATADIR%%/help/opers/admin
+%%DATADIR%%/help/opers/away
+%%DATADIR%%/help/opers/capab
+%%DATADIR%%/help/opers/challenge
+%%DATADIR%%/help/opers/chantrace
+%%DATADIR%%/help/opers/close
+%%DATADIR%%/help/opers/cmode
+%%DATADIR%%/help/opers/cnotice
+%%DATADIR%%/help/opers/connect
+%%DATADIR%%/help/opers/cprivmsg
+%%DATADIR%%/help/opers/credits
+%%DATADIR%%/help/opers/die
+%%DATADIR%%/help/opers/dline
+%%DATADIR%%/help/opers/error
+%%DATADIR%%/help/opers/etrace
+%%DATADIR%%/help/opers/extban
+%%DATADIR%%/help/opers/help
+%%DATADIR%%/help/opers/index
+%%DATADIR%%/help/opers/info
+%%DATADIR%%/help/opers/invite
+%%DATADIR%%/help/opers/ison
+%%DATADIR%%/help/opers/join
+%%DATADIR%%/help/opers/kick
+%%DATADIR%%/help/opers/kill
+%%DATADIR%%/help/opers/kline
+%%DATADIR%%/help/opers/knock
+%%DATADIR%%/help/opers/links
+%%DATADIR%%/help/opers/list
+%%DATADIR%%/help/opers/locops
+%%DATADIR%%/help/opers/lusers
+%%DATADIR%%/help/opers/map
+%%DATADIR%%/help/opers/masktrace
+%%DATADIR%%/help/opers/modlist
+%%DATADIR%%/help/opers/modload
+%%DATADIR%%/help/opers/modreload
+%%DATADIR%%/help/opers/modrestart
+%%DATADIR%%/help/opers/modunload
+%%DATADIR%%/help/opers/motd
+%%DATADIR%%/help/opers/names
+%%DATADIR%%/help/opers/nick
+%%DATADIR%%/help/opers/notice
+%%DATADIR%%/help/opers/oper
+%%DATADIR%%/help/opers/operspy
+%%DATADIR%%/help/opers/operwall
+%%DATADIR%%/help/opers/part
+%%DATADIR%%/help/opers/pass
+%%DATADIR%%/help/opers/ping
+%%DATADIR%%/help/opers/pong
+%%DATADIR%%/help/opers/post
+%%DATADIR%%/help/opers/privmsg
+%%DATADIR%%/help/opers/privs
+%%DATADIR%%/help/opers/quit
+%%DATADIR%%/help/opers/rehash
+%%DATADIR%%/help/opers/restart
+%%DATADIR%%/help/opers/resv
+%%DATADIR%%/help/opers/scan
+%%DATADIR%%/help/opers/server
+%%DATADIR%%/help/opers/set
+%%DATADIR%%/help/opers/sjoin
+%%DATADIR%%/help/opers/snomask
+%%DATADIR%%/help/opers/squit
+%%DATADIR%%/help/opers/stats
+%%DATADIR%%/help/opers/svinfo
+%%DATADIR%%/help/opers/testgecos
+%%DATADIR%%/help/opers/testline
+%%DATADIR%%/help/opers/testmask
+%%DATADIR%%/help/opers/time
+%%DATADIR%%/help/opers/topic
+%%DATADIR%%/help/opers/trace
+%%DATADIR%%/help/opers/uhelp
+%%DATADIR%%/help/opers/umode
+%%DATADIR%%/help/opers/undline
+%%DATADIR%%/help/opers/unkline
+%%DATADIR%%/help/opers/unreject
+%%DATADIR%%/help/opers/unresv
+%%DATADIR%%/help/opers/unxline
+%%DATADIR%%/help/opers/user
+%%DATADIR%%/help/opers/userhost
+%%DATADIR%%/help/opers/users
+%%DATADIR%%/help/opers/version
+%%DATADIR%%/help/opers/wallops
+%%DATADIR%%/help/opers/who
+%%DATADIR%%/help/opers/whois
+%%DATADIR%%/help/opers/whowas
+%%DATADIR%%/help/opers/xline
+%%DATADIR%%/help/users/accept
+%%DATADIR%%/help/users/admin
+%%DATADIR%%/help/users/away
+%%DATADIR%%/help/users/challenge
+%%DATADIR%%/help/users/chantrace
+%%DATADIR%%/help/users/cmode
+%%DATADIR%%/help/users/cnotice
+%%DATADIR%%/help/users/cprivmsg
+%%DATADIR%%/help/users/credits
+%%DATADIR%%/help/users/error
+%%DATADIR%%/help/users/extban
+%%DATADIR%%/help/users/help
+%%DATADIR%%/help/users/index
+%%DATADIR%%/help/users/info
+%%DATADIR%%/help/users/invite
+%%DATADIR%%/help/users/ison
+%%DATADIR%%/help/users/join
+%%DATADIR%%/help/users/kick
+%%DATADIR%%/help/users/knock
+%%DATADIR%%/help/users/links
+%%DATADIR%%/help/users/list
+%%DATADIR%%/help/users/lusers
+%%DATADIR%%/help/users/map
+%%DATADIR%%/help/users/motd
+%%DATADIR%%/help/users/names
+%%DATADIR%%/help/users/nick
+%%DATADIR%%/help/users/notice
+%%DATADIR%%/help/users/oper
+%%DATADIR%%/help/users/part
+%%DATADIR%%/help/users/pass
+%%DATADIR%%/help/users/ping
+%%DATADIR%%/help/users/pong
+%%DATADIR%%/help/users/privmsg
+%%DATADIR%%/help/users/quit
+%%DATADIR%%/help/users/stats
+%%DATADIR%%/help/users/time
+%%DATADIR%%/help/users/topic
+%%DATADIR%%/help/users/trace
+%%DATADIR%%/help/users/umode
+%%DATADIR%%/help/users/user
+%%DATADIR%%/help/users/userhost
+%%DATADIR%%/help/users/users
+%%DATADIR%%/help/users/version
+%%DATADIR%%/help/users/who
+%%DATADIR%%/help/users/whois
+%%DATADIR%%/help/users/whowas
+%%DATADIR%%/modules/autoload/m_accept.so
+%%DATADIR%%/modules/autoload/m_admin.so
+%%DATADIR%%/modules/autoload/m_away.so
+%%DATADIR%%/modules/autoload/m_cap.so
+%%DATADIR%%/modules/autoload/m_capab.so
+%%DATADIR%%/modules/autoload/m_certfp.so
+%%DATADIR%%/modules/autoload/m_challenge.so
+%%DATADIR%%/modules/autoload/m_chghost.so
+%%DATADIR%%/modules/autoload/m_close.so
+%%DATADIR%%/modules/autoload/m_cmessage.so
+%%DATADIR%%/modules/autoload/m_connect.so
+%%DATADIR%%/modules/autoload/m_dline.so
+%%DATADIR%%/modules/autoload/m_encap.so
+%%DATADIR%%/modules/autoload/m_etrace.so
+%%DATADIR%%/modules/autoload/m_help.so
+%%DATADIR%%/modules/autoload/m_info.so
+%%DATADIR%%/modules/autoload/m_invite.so
+%%DATADIR%%/modules/autoload/m_ison.so
+%%DATADIR%%/modules/autoload/m_kline.so
+%%DATADIR%%/modules/autoload/m_knock.so
+%%DATADIR%%/modules/autoload/m_links.so
+%%DATADIR%%/modules/autoload/m_list.so
+%%DATADIR%%/modules/autoload/m_locops.so
+%%DATADIR%%/modules/autoload/m_lusers.so
+%%DATADIR%%/modules/autoload/m_map.so
+%%DATADIR%%/modules/autoload/m_monitor.so
+%%DATADIR%%/modules/autoload/m_motd.so
+%%DATADIR%%/modules/autoload/m_names.so
+%%DATADIR%%/modules/autoload/m_oper.so
+%%DATADIR%%/modules/autoload/m_operspy.so
+%%DATADIR%%/modules/autoload/m_pass.so
+%%DATADIR%%/modules/autoload/m_ping.so
+%%DATADIR%%/modules/autoload/m_pong.so
+%%DATADIR%%/modules/autoload/m_post.so
+%%DATADIR%%/modules/autoload/m_privs.so
+%%DATADIR%%/modules/autoload/m_rehash.so
+%%DATADIR%%/modules/autoload/m_restart.so
+%%DATADIR%%/modules/autoload/m_resv.so
+%%DATADIR%%/modules/autoload/m_sasl.so
+%%DATADIR%%/modules/autoload/m_scan.so
+%%DATADIR%%/modules/autoload/m_services.so
+%%DATADIR%%/modules/autoload/m_set.so
+%%DATADIR%%/modules/autoload/m_signon.so
+%%DATADIR%%/modules/autoload/m_snote.so
+%%DATADIR%%/modules/autoload/m_stats.so
+%%DATADIR%%/modules/autoload/m_svinfo.so
+%%DATADIR%%/modules/autoload/m_tb.so
+%%DATADIR%%/modules/autoload/m_testline.so
+%%DATADIR%%/modules/autoload/m_testmask.so
+%%DATADIR%%/modules/autoload/m_time.so
+%%DATADIR%%/modules/autoload/m_topic.so
+%%DATADIR%%/modules/autoload/m_trace.so
+%%DATADIR%%/modules/autoload/m_unreject.so
+%%DATADIR%%/modules/autoload/m_user.so
+%%DATADIR%%/modules/autoload/m_userhost.so
+%%DATADIR%%/modules/autoload/m_users.so
+%%DATADIR%%/modules/autoload/m_version.so
+%%DATADIR%%/modules/autoload/m_wallops.so
+%%DATADIR%%/modules/autoload/m_who.so
+%%DATADIR%%/modules/autoload/m_whois.so
+%%DATADIR%%/modules/autoload/m_whowas.so
+%%DATADIR%%/modules/autoload/m_xline.so
+%%DATADIR%%/modules/autoload/sno_routing.so
+%%DATADIR%%/modules/extensions/chm_adminonly.so
+%%DATADIR%%/modules/extensions/chm_operonly.so
+%%DATADIR%%/modules/extensions/chm_operonly_compat.so
+%%DATADIR%%/modules/extensions/chm_quietunreg_compat.so
+%%DATADIR%%/modules/extensions/chm_sslonly.so
+%%DATADIR%%/modules/extensions/chm_sslonly_compat.so
+%%DATADIR%%/modules/extensions/createauthonly.so
+%%DATADIR%%/modules/extensions/createoperonly.so
+%%DATADIR%%/modules/extensions/example_module.so
+%%DATADIR%%/modules/extensions/extb_account.so
+%%DATADIR%%/modules/extensions/extb_canjoin.so
+%%DATADIR%%/modules/extensions/extb_channel.so
+%%DATADIR%%/modules/extensions/extb_extgecos.so
+%%DATADIR%%/modules/extensions/extb_oper.so
+%%DATADIR%%/modules/extensions/extb_realname.so
+%%DATADIR%%/modules/extensions/extb_server.so
+%%DATADIR%%/modules/extensions/extb_ssl.so
+%%DATADIR%%/modules/extensions/force_user_invis.so
+%%DATADIR%%/modules/extensions/hurt.so
+%%DATADIR%%/modules/extensions/ip_cloaking.so
+%%DATADIR%%/modules/extensions/ip_cloaking_3.0.so
+%%DATADIR%%/modules/extensions/ip_cloaking_4.0.so
+%%DATADIR%%/modules/extensions/ip_cloaking_old.so
+%%DATADIR%%/modules/extensions/m_42.so
+%%DATADIR%%/modules/extensions/m_adminwall.so
+%%DATADIR%%/modules/extensions/m_findforwards.so
+%%DATADIR%%/modules/extensions/m_identify.so
+%%DATADIR%%/modules/extensions/m_mkpasswd.so
+%%DATADIR%%/modules/extensions/m_ojoin.so
+%%DATADIR%%/modules/extensions/m_okick.so
+%%DATADIR%%/modules/extensions/m_olist.so
+%%DATADIR%%/modules/extensions/m_omode.so
+%%DATADIR%%/modules/extensions/m_opme.so
+%%DATADIR%%/modules/extensions/m_sendbans.so
+%%DATADIR%%/modules/extensions/m_webirc.so
+%%DATADIR%%/modules/extensions/no_locops.so
+%%DATADIR%%/modules/extensions/no_oper_invis.so
+%%DATADIR%%/modules/extensions/sno_farconnect.so
+%%DATADIR%%/modules/extensions/sno_globalkline.so
+%%DATADIR%%/modules/extensions/sno_globaloper.so
+%%DATADIR%%/modules/extensions/sno_whois.so
+%%DATADIR%%/modules/extensions/spy_admin_notice.so
+%%DATADIR%%/modules/extensions/spy_info_notice.so
+%%DATADIR%%/modules/extensions/spy_links_notice.so
+%%DATADIR%%/modules/extensions/spy_motd_notice.so
+%%DATADIR%%/modules/extensions/spy_stats_notice.so
+%%DATADIR%%/modules/extensions/spy_stats_p_notice.so
+%%DATADIR%%/modules/extensions/spy_trace_notice.so
+%%DATADIR%%/modules/m_ban.so
+%%DATADIR%%/modules/m_die.so
+%%DATADIR%%/modules/m_error.so
+%%DATADIR%%/modules/m_join.so
+%%DATADIR%%/modules/m_kick.so
+%%DATADIR%%/modules/m_kill.so
+%%DATADIR%%/modules/m_message.so
+%%DATADIR%%/modules/m_mode.so
+%%DATADIR%%/modules/m_nick.so
+%%DATADIR%%/modules/m_part.so
+%%DATADIR%%/modules/m_quit.so
+%%DATADIR%%/modules/m_server.so
+%%DATADIR%%/modules/m_squit.so
+@dirrm %%DATADIR%%/modules/extensions
+@dirrm %%DATADIR%%/modules/autoload
+@dirrm %%DATADIR%%/modules-old
+@dirrm %%DATADIR%%/modules
+@dirrm %%DATADIR%%/help/users
+@dirrm %%DATADIR%%/help/opers
+@dirrm %%DATADIR%%/help-old
+@dirrm %%DATADIR%%/help
+@dirrm %%DATADIR%%
+@dirrm etc/charybdis