? docbook.css
Index: contrib.committers.sgml
===================================================================
RCS file: /home/dcvs/doc/en_US.ISO8859-1/articles/contributors/contrib.committers.sgml,v
retrieving revision 1.339
diff -u -r1.339 contrib.committers.sgml
--- contrib.committers.sgml	6 Oct 2011 14:02:25 -0000	1.339
+++ contrib.committers.sgml	6 Nov 2011 13:48:26 -0000
@@ -15,10 +15,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.tackerman;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.eadler;</para>
     </listitem>
 
@@ -51,10 +47,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.anholt;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.mva;</para>
     </listitem>
 
@@ -79,10 +71,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.babkin;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.timur;</para>
     </listitem>
 
@@ -95,18 +83,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.dmlb;</para>
-    </listitem>
-
-    <listitem>
-      <para>&a.snb;</para>
-    </listitem>
-
-    <listitem>
-      <para>&a.barner;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.dougb;</para>
     </listitem>
 
@@ -123,10 +99,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.damien;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.gber;</para>
     </listitem>
 
@@ -147,10 +119,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.bvs;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.novel;</para>
     </listitem>
 
@@ -159,10 +127,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.alexbl;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.sbz;</para>
     </listitem>
 
@@ -171,10 +135,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.obraun;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.makc;</para>
     </listitem>
 
@@ -207,22 +167,10 @@
     </listitem>
 
     <listitem>
-      <para>&a.jake;</para>
-    </listitem>
-
-    <listitem>
-      <para>&a.bushman;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.jchandra;</para>
     </listitem>
 
     <listitem>
-      <para>&a.jcamou;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.acm;</para>
     </listitem>
 
@@ -247,10 +195,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.perky;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.charnier;</para>
     </listitem>
 
@@ -279,26 +223,10 @@
     </listitem>
 
     <listitem>
-      <para>&a.seanc;</para>
-    </listitem>
-
-    <listitem>
-      <para>&a.cjh;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.marcus;</para>
     </listitem>
 
     <listitem>
-      <para>&a.nik;</para>
-    </listitem>
-
-    <listitem>
-      <para>&a.benjsc;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.tijl;</para>
     </listitem>
 
@@ -327,10 +255,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.aaron;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.bapt;</para>
     </listitem>
 
@@ -355,14 +279,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.jwd;</para>
-    </listitem>
-
-    <listitem>
-      <para>&a.pdeuskar;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.vd;</para>
     </listitem>
 
@@ -403,14 +319,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.tegge;</para>
-    </listitem>
-
-    <listitem>
-      <para>&a.eik;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.deischen;</para>
     </listitem>
 
@@ -423,10 +331,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.josef;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.ae;</para>
     </listitem>
 
@@ -475,18 +379,10 @@
     </listitem>
 
     <listitem>
-      <para>&a.farrokhi;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.green;</para>
     </listitem>
 
     <listitem>
-      <para>&a.fenner;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.lioux;</para>
     </listitem>
 
@@ -503,10 +399,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.scrappy;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.olli;</para>
     </listitem>
 
@@ -519,10 +411,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.billf;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.gallatin;</para>
     </listitem>
 
@@ -535,10 +423,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.tg;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.danger;</para>
     </listitem>
 
@@ -547,10 +431,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.gioria;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.girgen;</para>
     </listitem>
 
@@ -583,10 +463,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.dhartmei;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.ehaupt;</para>
     </listitem>
 
@@ -595,10 +471,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.mikeh;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.niels;</para>
     </listitem>
 
@@ -623,22 +495,10 @@
     </listitem>
 
     <listitem>
-      <para>&a.nhibma;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.pho;</para>
     </listitem>
 
     <listitem>
-      <para>&a.horikawa;</para>
-    </listitem>
-
-    <listitem>
-      <para>&a.hosokawa;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.mich;</para>
     </listitem>
 
@@ -651,30 +511,14 @@
     </listitem>
 
     <listitem>
-      <para>&a.hsu;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.lwhsu;</para>
     </listitem>
 
     <listitem>
-      <para>&a.foxfair;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.chinsan;</para>
     </listitem>
 
     <listitem>
-      <para>&a.jkh;</para>
-    </listitem>
-
-    <listitem>
-      <para>&a.imura;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.iwasaki;</para>
     </listitem>
 
@@ -699,10 +543,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.ahze;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.kan;</para>
     </listitem>
 
@@ -723,14 +563,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.johan;</para>
-    </listitem>
-
-    <listitem>
-      <para>&a.joe;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.kato;</para>
     </listitem>
 
@@ -767,26 +599,10 @@
     </listitem>
 
     <listitem>
-      <para>&a.andreas;</para>
-    </listitem>
-
-    <listitem>
-      <para>&a.ikob;</para>
-    </listitem>
-
-    <listitem>
-      <para>&a.lkoeller;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.jkois;</para>
     </listitem>
 
     <listitem>
-      <para>&a.sergei;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.motoyuki;</para>
     </listitem>
 
@@ -823,10 +639,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.rushani;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.kuriyama;</para>
     </listitem>
 
@@ -859,22 +671,10 @@
     </listitem>
 
     <listitem>
-      <para>&a.laszlof;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.benl;</para>
     </listitem>
 
     <listitem>
-      <para>&a.njl;</para>
-    </listitem>
-
-    <listitem>
-      <para>&a.chern;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.leeym;</para>
     </listitem>
 
@@ -883,10 +683,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.jylefort;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.oliver;</para>
     </listitem>
 
@@ -895,14 +691,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.jlemon;</para>
-    </listitem>
-
-    <listitem>
-      <para>&a.lesi;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.truckman;</para>
     </listitem>
 
@@ -911,10 +699,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.pat;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.qingli;</para>
     </listitem>
 
@@ -927,18 +711,10 @@
     </listitem>
 
     <listitem>
-      <para>&a.ijliao;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.lulf;</para>
     </listitem>
 
     <listitem>
-      <para>&a.clive;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.yzlin;</para>
     </listitem>
 
@@ -955,10 +731,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.nemoliu;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.kevlo;</para>
     </listitem>
 
@@ -991,10 +763,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.mwlucas;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.eri;</para>
     </listitem>
 
@@ -1011,10 +779,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.bmah;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.mtm;</para>
     </listitem>
 
@@ -1063,10 +827,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.tmclaugh;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.jmelo;</para>
     </listitem>
 
@@ -1083,30 +843,14 @@
     </listitem>
 
     <listitem>
-      <para>&a.hm;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.sanpei;</para>
     </listitem>
 
     <listitem>
-      <para>&a.bmilekic;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.rmh;</para>
     </listitem>
 
     <listitem>
-      <para>&a.mita;</para>
-    </listitem>
-
-    <listitem>
-      <para>&a.rsm;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.stephen;</para>
     </listitem>
 
@@ -1147,10 +891,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.yoichi;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.trasz;</para>
     </listitem>
 
@@ -1179,10 +919,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.lofi;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.obrien;</para>
     </listitem>
 
@@ -1191,18 +927,10 @@
     </listitem>
 
     <listitem>
-      <para>&a.okazaki;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.olgeni;</para>
     </listitem>
 
     <listitem>
-      <para>&a.onoe;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.andre;</para>
     </listitem>
 
@@ -1231,10 +959,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.sat;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.np;</para>
     </listitem>
 
@@ -1243,10 +967,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.rpaulo;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.dumbbell;</para>
     </listitem>
 
@@ -1263,10 +983,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.den;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.cperciva;</para>
     </listitem>
 
@@ -1287,26 +1003,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.jacula;</para>
-    </listitem>
-
-    <listitem>
-      <para>&a.piso;</para>
-    </listitem>
-
-    <listitem>
-      <para>&a.jdp;</para>
-    </listitem>
-
-    <listitem>
-      <para>&a.krion;</para>
-    </listitem>
-
-    <listitem>
-      <para>&a.bp;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.sepotvin;</para>
     </listitem>
 
@@ -1319,14 +1015,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.markp;</para>
-    </listitem>
-
-    <listitem>
-      <para>&a.alepulver;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.thomas;</para>
     </listitem>
 
@@ -1351,10 +1039,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.rees;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.mr;</para>
     </listitem>
 
@@ -1395,10 +1079,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.jesusr;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.guido;</para>
     </listitem>
 
@@ -1423,10 +1103,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.marks;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.hrs;</para>
     </listitem>
 
@@ -1471,18 +1147,10 @@
     </listitem>
 
     <listitem>
-      <para>&a.bakul;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.gshapiro;</para>
     </listitem>
 
     <listitem>
-      <para>&a.shiba;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.wxs;</para>
     </listitem>
 
@@ -1527,10 +1195,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.anray;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.flo;</para>
     </listitem>
 
@@ -1567,18 +1231,10 @@
     </listitem>
 
     <listitem>
-      <para>&a.dds;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.uqs;</para>
     </listitem>
 
     <listitem>
-      <para>&a.rink;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.mohans;</para>
     </listitem>
 
@@ -1599,10 +1255,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.vs;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.rstone;</para>
     </listitem>
 
@@ -1627,10 +1279,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.metal;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.ryusuke;</para>
     </listitem>
 
@@ -1639,10 +1287,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.garys;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.nyan;</para>
     </listitem>
 
@@ -1739,18 +1383,10 @@
     </listitem>
 
     <listitem>
-      <para>&a.hoek;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.vanhu;</para>
     </listitem>
 
     <listitem>
-      <para>&a.jayanth;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.avilla;</para>
     </listitem>
 
@@ -1815,10 +1451,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.twinterg;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.wollman;</para>
     </listitem>
 
@@ -1843,10 +1475,6 @@
     </listitem>
 
     <listitem>
-      <para>&a.andy;</para>
-    </listitem>
-
-    <listitem>
       <para>&a.zec;</para>
     </listitem>
 
Index: contrib.develalumni.sgml
===================================================================
RCS file: /home/dcvs/doc/en_US.ISO8859-1/articles/contributors/contrib.develalumni.sgml,v
retrieving revision 1.60
diff -u -r1.60 contrib.develalumni.sgml
--- contrib.develalumni.sgml	7 Mar 2010 20:37:15 -0000	1.60
+++ contrib.develalumni.sgml	6 Nov 2011 13:48:26 -0000
@@ -2,7 +2,155 @@
 
   <itemizedlist>
     <listitem>
-      <para>&a.bmah; ( - 2009)</para>
+      <para>&a.alepulver; (2006 - 2011)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.vs; (2004 - 2011)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.johan; (2002 - 2011)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.joerg; ( - 2011)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.jacula; (2010 - 2010)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.snb; (2009 - 2010)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.rpaulo; (2007 - 2010)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.nemoliu; (2007 - 2010)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.tmclaugh; (2005 - 2010)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.ahze; (2004 - 2010)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.sergei; (2003 - 2010)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.krion; (2003 - 2010)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.dds; (2003 - 2010)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.andreas; ( - 2010)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.laszlof; (2006 - 2009)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.alexbl; (2006 - 2009)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.anray; (2005 - 2009)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.perky; (2002 - 2009)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.yoichi; (2001 - 2009)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.ijliao; (2001 - 2009)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.okazaki; (2000 - 2009)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.jesusr; ( - 2009)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.bmah; (2000 - 2009)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.benjsc; (2007 - 2008)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.sat; (2006 - 2008)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.rink; (2006 - 2008)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.piso; (2006 - 2008)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.barner; (2005 - 2008)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.lofi; (2003 - 2008)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.den; (2003 - 2008)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.obraun; (2002 - 2008)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.njl; (2002 - 2008)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.anholt; (2002 - 2008)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.mita; (2000 - 2008)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.clive; (2000 - 2008)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.cjh; (2000 - 2008)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.tg; ( - 2008)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.scrappy; ( - 2008)</para>
     </listitem>
 
     <listitem>
@@ -10,6 +158,70 @@
     </listitem>
 
     <listitem>
+      <para>&a.bushman; (2007 - 2007)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.bakul; (2006 - 2007)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.jylefort; (2005 - 2007)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.bvs; (2005 - 2007)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.aaron; (2005 - 2007)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.marks; (2004 - 2007)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.lesi; (2004 - 2007)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.dhartmei; (2004 - 2007)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.pdeuskar; (2001 - 2007)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.mikeh; (2001 - 2007)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.lkoeller; (2000 - 2007)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.hm; (1999 - 2007)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.tegge; ( - 2007)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.jdp; ( - 2007)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.foxfair; ( - 2007)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.fenner; ( - 2007)</para>
+    </listitem>
+
+    <listitem>
       <para>&a.trevor; (2000 - 2007)</para>
     </listitem>
 
@@ -74,6 +286,62 @@
     </listitem>
 
     <listitem>
+      <para>&a.twinterg; (2006 - 2006)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.farrokhi; (2006 - 2006)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.jcamou; (2005 - 2006)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.damien; (2005 - 2006)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.rees; (2004 - 2006)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.metal; (2004 - 2006)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.rushani; (2003 - 2006)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.seanc; (2002 - 2006)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.mwlucas; (2001 - 2006)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.markp; (2001 - 2006)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.babkin; (2000 - 2006)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.bp; (1999 - 2006)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.andy; (1999 - 2006)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.hsu; ( - 2006)</para>
+    </listitem>
+
+    <listitem>
       <para>&a.cjc; (2001 - 2006)</para>
     </listitem>
 
@@ -200,6 +468,58 @@
     </listitem>
 
     <listitem>
+      <para>&a.garys; (2005 - 2005)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.tackerman; (2004 - 2005)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.josef; (2004 - 2005)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.rsm; (2003 - 2005)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.eik; (2003 - 2005)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.jwd; (2000 - 2005)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.jake; (2000 - 2005)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.bmilekic; (2000 - 2005)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.imura; (1999 - 2005)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.gioria; (1999 - 2005)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.nik; ( - 2005)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.hoek; ( - 2005)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.billf; ( - 2005)</para>
+    </listitem>
+
+    <listitem>
       <para>&a.paul; (1993 - 2005)</para>
     </listitem>
 
@@ -224,6 +544,30 @@
     </listitem>
 
     <listitem>
+      <para>&a.shiba; (2001 - 2004)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.onoe; (2000 - 2004)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.jayanth; (2000 - 2004)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.horikawa; (2000 - 2004)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.dmlb; (2000 - 2004)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.jkh; ( - 2004)</para>
+    </listitem>
+
+    <listitem>
       <para>&a.jmas; (1999 - 2004)</para>
     </listitem>
 
@@ -284,6 +628,22 @@
     </listitem>
 
     <listitem>
+      <para>&a.ikob; (2002 - 2003)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.chern; (2001 - 2003)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.jlemon; ( - 2003)</para>
+    </listitem>
+
+    <listitem>
+      <para>&a.hosokawa; ( - 2003)</para>
+    </listitem>
+
+    <listitem>
       <para>&a.msmith; (1996 - 2003)</para>
     </listitem>
 