diff --git a/Makefile b/Makefile
index 225cc6e..9069893 100644
--- a/Makefile
+++ b/Makefile
@@ -172,7 +172,7 @@ bsd-ports-packages:
 	@cd $(PKG_PLIST_BUILD) && find . -type f -o -type l | egrep -v "/man/" | sed "s/\.\/usr\/local\///" | sort -r >../$(MAIN_PORT_PATH)/pkg-plist.tmp && cd $(CURDIR)
 	@echo "sbin/dtc-install" >>$(PORT_BUILD)/pkg-plist.tmp
 	@echo "sbin/dtc-deinstall" >>$(PORT_BUILD)/pkg-plist.tmp
-	@cd $(PKG_PLIST_BUILD) && find usr/local -type d -exec echo @dirrm {} \; | egrep -v "/man" | egrep -v "/share/doc$$" | egrep -v "/share$$" | egrep -v "usr/local$$" | egrep -v "/www$$" | grep -v "\/var\/" | grep -v "\/var$$" | grep -v "www\/dtc$$" | sed "s/usr\/local\///" | sort -r >>../$(MAIN_PORT_PATH)/pkg-plist.tmp && cd $(CURDIR)
+	@cd $(PKG_PLIST_BUILD) && find usr/local -type d -exec echo @dirrm {} \; | egrep -v "/man" | egrep -v "/share/doc$$" | egrep -v "/share$$" | egrep -v "usr/local$$" | egrep -v "/www$$" | egrep -v "/etc$$" | grep -v "\/var\/" | grep -v "\/var$$" | grep -v "www\/dtc$$" | sed "s/usr\/local\///" | sort -r >>../$(MAIN_PORT_PATH)/pkg-plist.tmp && cd $(CURDIR)
 	@NBR_LINE=`cat $(PORT_BUILD)/pkg-plist.tmp | wc -l` && cat $(PORT_BUILD)/pkg-plist.tmp | head -n $$(( $$NBR_LINE - 1 )) >$(PORT_BUILD)/pkg-plist.tmp2
 	@cat $(PORT_BUILD)/pkg-plist.tmp2 | grep -v "\/var\/" | grep -v "\/var$$" >$(PORT_BUILD)/pkg-plist
 	@echo "@dirrmtry var/dtc/etc/slave_zones" >>$(PORT_BUILD)/pkg-plist
diff --git a/src/bsd/dtc/Makefile b/src/bsd/dtc/Makefile
index c29b926..b806f57 100644
--- a/src/bsd/dtc/Makefile
+++ b/src/bsd/dtc/Makefile
@@ -50,12 +50,14 @@ USE_MYSQL=	server
 
 NO_BUILD=	yes
 USE_PHP=	mysql pcre session
-MAN8=		dtc-chroot-shell.8
+MAN8=		dtc-chroot-shell.8 dtc-chroot-wrapper.8
 MANCOMPRESSED=	no
+USE_APACHE=	22+
+
 
 .if defined(WITH_PHP5)
 DEFAULT_PHP_VER=5
-BROKEN_WITH_PHP=4
+IGNORE_WITH_PHP=4
 RUN_DEPENDS+=	${LOCALBASE}/bin/pear:${PORTSDIR}/devel/pear
 USE_PHP+=	bz2 gd mbstring mcrypt mysql mysqli openssl pcre \
 		session sockets xml zlib curl
@@ -117,8 +119,6 @@ RUN_DEPENDS+=	${LOCALBASE}/www/squirrelmail/src/login.php:${PORTSDIR}/mail/squir
 RUN_DEPENDS+=	${LOCALBASE}/www/phpMyAdmin/index.php:${PORTSDIR}/databases/phpmyadmin
 .endif
 
-USE_APACHE=	2.2+
-
 .if defined(WITH_DOVECOT)
 RUN_DEPENDS+=	${LOCALBASE}/sbin/dovecot:${PORTSDIR}/mail/dovecot
 .endif
@@ -132,7 +132,7 @@ RUN_DEPENDS+=	${LOCALBASE}/sbin/radiusd:${PORTSDIR}/net/freeradius2
 .endif
 
 SUB_FILES=	dtc-install dtc-deinstall
-SUB_LIST+=	WWWDIR="${WWWDIR}" QMAIL_DIR="${QMAIL_DIR}"
+SUB_LIST+=	QMAIL_DIR="${QMAIL_DIR}"
 
 .include <bsd.port.pre.mk>
 
diff --git a/src/bsd/dtc/patch-Makefile b/src/bsd/dtc/patch-Makefile
index b659d61..b8b3be2 100644
--- a/src/bsd/dtc/patch-Makefile
+++ b/src/bsd/dtc/patch-Makefile
@@ -1,6 +1,8 @@
---- Makefile.orig	2010-01-30 13:33:16.000000000 +0000
-+++ Makefile	2010-01-30 22:11:28.000000000 +0000
-@@ -45,13 +45,13 @@
+$FreeBSD$
+
+--- Makefile.orig	2011-09-16 22:20:05.000000000 +0100
++++ Makefile	2011-09-16 22:24:24.000000000 +0100
+@@ -52,13 +52,13 @@
  UNIX_TYPE?=debian
  
  # /usr/share
@@ -18,12 +20,20 @@
  # /usr/share/man
  MAN_DIR = $(DESTDIR)$(MANUAL_DIR)
  # /usr/bin
-@@ -374,7 +374,7 @@
+@@ -379,7 +379,7 @@
  	# PHP scripts files served by web server
- 	@echo "-> Creating destination folders"
- 	for i in $(CREATE_DIRS) ; do $(INSTALL_DIR) -m $(NORMAL_FOLDER) $(APP_INST_DIR)/$$i ; done
+ 	@echo "-> Creating destination folders for version "${VERS}
+ 	@for i in $(CREATE_DIRS) ; do $(INSTALL_DIR) -m $(NORMAL_FOLDER) $(APP_INST_DIR)/$$i ; done
 -	$(INSTALL_DIR) -m $(NORMAL_FOLDER) $(MAN_DIR)/man8
 +	$(INSTALL_DIR) $(MAN_DIR)/man8
  
  	@ echo "-> Installing scripts"
  	@for i in $(WEB_SCRIPT_FILES) ; do $(INSTALL) -m $(PHP_RIGHTS) $$i $(APP_INST_DIR)/$$i ; done
+@@ -404,6 +404,7 @@
+ 
+ 	# Copy all the graphics...
+ 	@$(INSTALL) -m $(PHP_RIGHTS) shared/404_template/logo.png $(APP_INST_DIR)/shared/404_template/logo.png
++	find shared/gfx -type d -exec install -d -m 0755 {} ${APP_INST_DIR}/{} \;
+ 	find shared/gfx -iname '*.png' -exec $(INSTALL) -m $(PHP_RIGHTS) {} $(APP_INST_DIR)/{} \;
+ 	find shared/gfx -iname '*.gif' -exec $(INSTALL) -m $(PHP_RIGHTS) {} $(APP_INST_DIR)/{} \;
+ 	find shared/gfx -iname '*.js' -exec $(INSTALL) -m $(PHP_RIGHTS) {} $(APP_INST_DIR)/{} \;