diff -ruN /nonexistant/Makefile uk-get_iplayer/Makefile
--- /nonexistant/Makefile	1970-01-01 00:00:00.000000000 +0000
+++ uk-get_iplayer/Makefile	2011-03-04 20:29:13.519608132 +0000
@@ -0,0 +1,52 @@
+# Ports collection Makefile for:	get_iplayer
+# Date created:				2nd March 2011
+# Whom:					Chris Rees <utisoft@gmail.com>
+#
+# $FreeBSD$
+#
+
+PORTNAME=	get_iplayer
+PORTVERSION=	2.79
+CATEGORIES=	net multimedia
+MASTER_SITES=	ftp://ftp.infradead.org/pub/${PORTNAME}/ \
+		http://www.bayofrum.net/dist/${PORTNAME}/
+PKGNAMEPREFIX=	uk-
+
+MAINTAINER=	utisoft@gmail.com
+COMMENT=	Archive video from BBC iPlayer
+
+RUN_DEPENDS=	flvstreamer:${PORTSDIR}/multimedia/flvstreamer
+
+USE_PERL5_RUN=	5.8.0+
+NO_BUILD=	yes
+
+USE_RC_SUBR=	${PORTNAME}
+SUB_LIST=	PORTNAME=${PORTNAME}
+SUB_FILES=	pkg-message
+
+USERS=	get_iplayer
+GROUPS=	get_iplayer
+
+MAN1=	get_iplayer.1
+
+do-install:
+	@${MKDIR} ${DATADIR}
+.for FILE in ${PORTNAME} ${PORTNAME}.cgi web.sh make-nsis.sh
+	@${INSTALL_SCRIPT} ${WRKSRC}/${FILE} ${DATADIR}
+.endfor
+.for DIR in html plugins
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} ${DIR} ${DATADIR})
+.endfor
+	@${LN} -sf ${DATADIR}/${PORTNAME} ${PREFIX}/bin
+
+post-install:
+.if !defined(NOPORTDOCS)
+	@${INSTALL_MAN} ${WRKSRC}/${PORTNAME}.1 ${MAN1PREFIX}/man/man1
+	@${MKDIR} ${DOCSDIR}
+.    for FILE in CHANGELOG-get_iplayer.cgi.txt CHANGELOG.txt README-get_iplayer.cgi.txt README.txt
+	@${INSTALL_DATA} ${WRKSRC}/${FILE} ${DOCSDIR}
+.    endfor
+.endif
+	@${CAT} ${PKGMESSAGE}
+
+.include <bsd.port.mk>
diff -ruN /nonexistant/distinfo uk-get_iplayer/distinfo
--- /nonexistant/distinfo	1970-01-01 00:00:00.000000000 +0000
+++ uk-get_iplayer/distinfo	2011-03-02 20:42:06.429973617 +0000
@@ -0,0 +1,2 @@
+SHA256 (get_iplayer-2.79.tar.gz) = 7abb73f8e6bfe9618eb0e3cf135f4ab0d6a2d17a52e7502800888c278b6a52c2
+SIZE (get_iplayer-2.79.tar.gz) = 226627
diff -ruN /nonexistant/files/get_iplayer.in uk-get_iplayer/files/get_iplayer.in
--- /nonexistant/files/get_iplayer.in	1970-01-01 00:00:00.000000000 +0000
+++ uk-get_iplayer/files/get_iplayer.in	2011-03-03 20:46:28.345420821 +0000
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# $FreeBSD$
+#
+# PROVIDE: %%PORTNAME%%
+# REQUIRE: LOGIN
+#
+# Add the following lines to /etc/rc.conf or /etc/rc.conf.local to
+# enable %%PORTNAME%%:
+# %%PORTNAME%%_enable (bool):	Set to "NO" by default.
+# %%PORTNAME%%_chdir (string):	Set to "/tmp" by default; this is where
+#				downloaded files are stored. Should be writable
+#				by %%PORTNAME%% user.
+# %%PORTNAME%%_flags (string):	Set to "" by default.
+# %%PORTNAME%%_bind_port (number):	Set to 9370 by default.
+# %%PORTNAME%%_listen_address (IP address):	Set to 127.0.0.1 by default.
+#
+##########################################################
+## WARNING:						##
+## Do NOT set %%PORTNAME%%_bind_port unless your box is	##
+## firewalled to allow only connections from your local	##
+## subnet; there is NO GUARANTEE of security; indeed	##
+## the converse is assured. Safest to use SSH		##
+## tunnelling if remote access is needed.		##
+##########################################################
+
+
+. /etc/rc.subr
+
+name="%%PORTNAME%%"
+rcvar=`set_rcvar`
+
+load_rc_config $name
+
+: ${%%PORTNAME%%_enable="NO"}
+: ${%%PORTNAME%%_flags=""}
+: ${%%PORTNAME%%_bind_port="9370"}
+: ${%%PORTNAME%%_listen_address="127.0.0.1"}
+: ${%%PORTNAME%%_chdir="/tmp"}
+
+command="/usr/sbin/daemon"
+command_args="-f -u ${name} -p /var/run/${name}/${name}.pid %%DATADIR%%/${name}.cgi -p ${%%PORTNAME%%_bind_port} -l ${%%PORTNAME%%_listen_address} --getiplayer %%DATADIR%%/${name}"
+procname="/usr/bin/perl"
+pidfile="/var/run/${name}/${name}.pid"
+
+start_precmd="${name}_prestart"
+
+%%PORTNAME%%_prestart()
+{
+	install -d -o ${name} -m755 /var/run/${name}
+}
+
+run_rc_command "$1"
diff -ruN /nonexistant/files/pkg-message.in uk-get_iplayer/files/pkg-message.in
--- /nonexistant/files/pkg-message.in	1970-01-01 00:00:00.000000000 +0000
+++ uk-get_iplayer/files/pkg-message.in	2011-03-04 19:41:52.024629696 +0000
@@ -0,0 +1,7 @@
+
+=== NOTE ===
+If you are experiencing problems with using %%PORTNAME%%
+please note that you MUST appear to be UK-based; this
+means that you have to be in the UK or using a UK 
+proxy.
+
diff -ruN /nonexistant/pkg-descr uk-get_iplayer/pkg-descr
--- /nonexistant/pkg-descr	1970-01-01 00:00:00.000000000 +0000
+++ uk-get_iplayer/pkg-descr	2011-03-02 20:40:27.792815808 +0000
@@ -0,0 +1,12 @@
+This tool allows you to search, index and record/stream:
+
+BBC iPlayer TV - up to 3200 kbps HD 720p H.264 / Quicktime / MP4
+BBC Live TV - 500 kbps H.264 / MP4
+BBC iPlayer Radio - up to 192 kbps MP3 / AAC and Realaudio
+BBC Live Radio - up to 192 kbps MP3 / AAC, WMA and Realaudio
+BBC Podcasts - up to 192 kbps MP3 / AAC
+BBC iPlayer TV subtitles - SubRip / srt
+
+None of the above content is /protected/ by DRM. get_iplayer cannot remove DRM.
+
+WWW: http://www.infradead.org/get_iplayer/
diff -ruN /nonexistant/pkg-plist uk-get_iplayer/pkg-plist
--- /nonexistant/pkg-plist	1970-01-01 00:00:00.000000000 +0000
+++ uk-get_iplayer/pkg-plist	2011-03-03 18:33:04.231708352 +0000
@@ -0,0 +1,18 @@
+bin/get_iplayer
+%%DATADIR%%/get_iplayer
+%%DATADIR%%/get_iplayer.cgi
+%%DATADIR%%/web.sh
+%%DATADIR%%/make-nsis.sh
+%%DATADIR%%/html/get_iplayer.html
+%%DATADIR%%/html/getiplayer.jpg
+%%DATADIR%%/plugins/localfiles.plugin
+%%DATADIR%%/plugins/plugin.template
+%%DATADIR%%/plugins/podcast.plugin
+%%PORTDOCS%%%%DOCSDIR%%/CHANGELOG-get_iplayer.cgi.txt
+%%PORTDOCS%%%%DOCSDIR%%/CHANGELOG.txt
+%%PORTDOCS%%%%DOCSDIR%%/README-get_iplayer.cgi.txt
+%%PORTDOCS%%%%DOCSDIR%%/README.txt
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
+@dirrm %%DATADIR%%/html
+@dirrm %%DATADIR%%/plugins
+@dirrm %%DATADIR%%