Index: Mk/bsd.port.mk
===================================================================
--- Mk/bsd.port.mk	(revision 316074)
+++ Mk/bsd.port.mk	(working copy)
@@ -1615,6 +1615,12 @@
 PLIST_SUB+=	        PORTDATA=""
 .endif
 
+.if defined(WITHOUT_NLS)
+PLIST_SUB+=	GETTEXT="@comment "
+.else
+PLIST_SUB+=	GETTEXT=""
+.endif
+
 CONFIGURE_SHELL?=	${SH}
 MAKE_SHELL?=	${SH}
 
@@ -4334,8 +4340,9 @@
 				install-desktop-entries install-license install-rc-script \
 				post-install post-install-script add-plist-buildinfo \
 				add-plist-info add-plist-docs add-plist-examples \
-				add-plist-data add-plist-post fix-plist-sequence \
-				compress-man install-ldconfig-file fake-pkg security-check
+				add-plist-data add-plist-lc-messages add-plist-post \
+				fix-plist-sequence compress-man install-ldconfig-file \
+				fake-pkg security-check
 _PACKAGE_DEP=	install
 _PACKAGE_SEQ=	package-message pre-package pre-package-script \
 				do-package post-package-script
@@ -5820,6 +5827,25 @@
 .endif
 .endif
 
+.if !target(add-plist-lc-messages)
+add-plist-lc-messages:
+.if defined(LC_MESSAGES) && !defined(WITHOUT_NLS)
+	@if ${EGREP} -qe '^@cw?d' ${TMPPLIST} && \
+		[ "`${SED} -En -e '/^@cw?d[ 	]*/s,,,p' ${TMPPLIST} | ${TAIL} -n 1`" != "${PREFIX}" ]; then \
+		${ECHO_CMD} "@cwd ${PREFIX}" >> ${TMPPLIST}; \
+	fi
+.for n in ${LC_MESSAGES}
+	@(cd ${PREFIX} && \
+	  for l in share/locale/*/LC_MESSAGES/${n}.mo; do \
+		${ECHO_CMD} "$$l" >> ${TMPPLIST}; \
+		${ECHO_CMD} "@unexec rmdir $${l%/*.mo} 2>/dev/null || true" >> ${TMPPLIST}; \
+		${ECHO_CMD} "@unexec rmdir $${l%/*/*.mo} 2>/dev/null || true" >> ${TMPPLIST}; \
+	  done; \
+	)
+.endfor
+.endif
+.endif
+
 .if !target(add-plist-buildinfo)
 add-plist-buildinfo:
 .if defined(PACKAGE_BUILDING)
Index: accessibility/atk/Makefile
===================================================================
--- accessibility/atk/Makefile	(revision 316074)
+++ accessibility/atk/Makefile	(working copy)
@@ -14,6 +14,8 @@
 
 USE_XZ=		yes
 
+LC_MESSAGES=	atk10
+
 .if !defined(REFERENCE_PORT)
 
 BUILD_DEPENDS=	g-ir-scanner:${PORTSDIR}/devel/gobject-introspection
Index: accessibility/atk/pkg-plist
===================================================================
--- accessibility/atk/pkg-plist	(revision 316074)
+++ accessibility/atk/pkg-plist	(working copy)
@@ -36,152 +36,5 @@
 lib/libatk-1.0.so.0
 libdata/pkgconfig/atk.pc
 share/gir-1.0/Atk-1.0.gir
-share/locale/af/LC_MESSAGES/atk10.mo
-share/locale/am/LC_MESSAGES/atk10.mo
-share/locale/ar/LC_MESSAGES/atk10.mo
-share/locale/as/LC_MESSAGES/atk10.mo
-share/locale/ast/LC_MESSAGES/atk10.mo
-share/locale/az/LC_MESSAGES/atk10.mo
-share/locale/be/LC_MESSAGES/atk10.mo
-share/locale/be@latin/LC_MESSAGES/atk10.mo
-share/locale/bg/LC_MESSAGES/atk10.mo
-share/locale/bn/LC_MESSAGES/atk10.mo
-share/locale/bn_IN/LC_MESSAGES/atk10.mo
-share/locale/bs/LC_MESSAGES/atk10.mo
-share/locale/ca/LC_MESSAGES/atk10.mo
-share/locale/ca@valencia/LC_MESSAGES/atk10.mo
-share/locale/cs/LC_MESSAGES/atk10.mo
-share/locale/cy/LC_MESSAGES/atk10.mo
-share/locale/da/LC_MESSAGES/atk10.mo
-share/locale/de/LC_MESSAGES/atk10.mo
-share/locale/dz/LC_MESSAGES/atk10.mo
-share/locale/el/LC_MESSAGES/atk10.mo
-share/locale/en@shaw/LC_MESSAGES/atk10.mo
-share/locale/en_CA/LC_MESSAGES/atk10.mo
-share/locale/en_GB/LC_MESSAGES/atk10.mo
-share/locale/eo/LC_MESSAGES/atk10.mo
-share/locale/es/LC_MESSAGES/atk10.mo
-share/locale/et/LC_MESSAGES/atk10.mo
-share/locale/eu/LC_MESSAGES/atk10.mo
-share/locale/fa/LC_MESSAGES/atk10.mo
-share/locale/fi/LC_MESSAGES/atk10.mo
-share/locale/fr/LC_MESSAGES/atk10.mo
-share/locale/ga/LC_MESSAGES/atk10.mo
-share/locale/gl/LC_MESSAGES/atk10.mo
-share/locale/gu/LC_MESSAGES/atk10.mo
-share/locale/he/LC_MESSAGES/atk10.mo
-share/locale/hi/LC_MESSAGES/atk10.mo
-share/locale/hr/LC_MESSAGES/atk10.mo
-share/locale/hu/LC_MESSAGES/atk10.mo
-share/locale/hy/LC_MESSAGES/atk10.mo
-share/locale/id/LC_MESSAGES/atk10.mo
-share/locale/is/LC_MESSAGES/atk10.mo
-share/locale/it/LC_MESSAGES/atk10.mo
-share/locale/ja/LC_MESSAGES/atk10.mo
-share/locale/ka/LC_MESSAGES/atk10.mo
-share/locale/kk/LC_MESSAGES/atk10.mo
-share/locale/km/LC_MESSAGES/atk10.mo
-share/locale/kn/LC_MESSAGES/atk10.mo
-share/locale/ko/LC_MESSAGES/atk10.mo
-share/locale/ku/LC_MESSAGES/atk10.mo
-share/locale/li/LC_MESSAGES/atk10.mo
-share/locale/lt/LC_MESSAGES/atk10.mo
-share/locale/lv/LC_MESSAGES/atk10.mo
-share/locale/mai/LC_MESSAGES/atk10.mo
-share/locale/mk/LC_MESSAGES/atk10.mo
-share/locale/ml/LC_MESSAGES/atk10.mo
-share/locale/mn/LC_MESSAGES/atk10.mo
-share/locale/mr/LC_MESSAGES/atk10.mo
-share/locale/ms/LC_MESSAGES/atk10.mo
-share/locale/nb/LC_MESSAGES/atk10.mo
-share/locale/ne/LC_MESSAGES/atk10.mo
-share/locale/nl/LC_MESSAGES/atk10.mo
-share/locale/nn/LC_MESSAGES/atk10.mo
-share/locale/oc/LC_MESSAGES/atk10.mo
-share/locale/or/LC_MESSAGES/atk10.mo
-share/locale/pa/LC_MESSAGES/atk10.mo
-share/locale/pl/LC_MESSAGES/atk10.mo
-share/locale/ps/LC_MESSAGES/atk10.mo
-share/locale/pt/LC_MESSAGES/atk10.mo
-share/locale/pt_BR/LC_MESSAGES/atk10.mo
-share/locale/ro/LC_MESSAGES/atk10.mo
-share/locale/ru/LC_MESSAGES/atk10.mo
-share/locale/rw/LC_MESSAGES/atk10.mo
-share/locale/si/LC_MESSAGES/atk10.mo
-share/locale/sk/LC_MESSAGES/atk10.mo
-share/locale/sl/LC_MESSAGES/atk10.mo
-share/locale/sq/LC_MESSAGES/atk10.mo
-share/locale/sr/LC_MESSAGES/atk10.mo
-share/locale/sr@ije/LC_MESSAGES/atk10.mo
-share/locale/sr@latin/LC_MESSAGES/atk10.mo
-share/locale/sv/LC_MESSAGES/atk10.mo
-share/locale/ta/LC_MESSAGES/atk10.mo
-share/locale/te/LC_MESSAGES/atk10.mo
-share/locale/th/LC_MESSAGES/atk10.mo
-share/locale/tk/LC_MESSAGES/atk10.mo
-share/locale/tr/LC_MESSAGES/atk10.mo
-share/locale/tt/LC_MESSAGES/atk10.mo
-share/locale/ug/LC_MESSAGES/atk10.mo
-share/locale/uk/LC_MESSAGES/atk10.mo
-share/locale/vi/LC_MESSAGES/atk10.mo
-share/locale/wa/LC_MESSAGES/atk10.mo
-share/locale/xh/LC_MESSAGES/atk10.mo
-share/locale/yi/LC_MESSAGES/atk10.mo
-share/locale/zh_CN/LC_MESSAGES/atk10.mo
-share/locale/zh_HK/LC_MESSAGES/atk10.mo
-share/locale/zh_TW/LC_MESSAGES/atk10.mo
-share/locale/zu/LC_MESSAGES/atk10.mo
-@dirrmtry share/locale/zu/LC_MESSAGES
-@dirrmtry share/locale/zu
-@dirrmtry share/locale/zh_HK/LC_MESSAGES
-@dirrmtry share/locale/zh_HK
-@dirrmtry share/locale/yi/LC_MESSAGES
-@dirrmtry share/locale/yi
-@dirrmtry share/locale/xh/LC_MESSAGES
-@dirrmtry share/locale/xh
-@dirrmtry share/locale/ug/LC_MESSAGES
-@dirrmtry share/locale/ug
-@dirrmtry share/locale/tt/LC_MESSAGES
-@dirrmtry share/locale/tt
-@dirrmtry share/locale/te/LC_MESSAGES
-@dirrmtry share/locale/te
-@dirrmtry share/locale/sr@latin/LC_MESSAGES
-@dirrmtry share/locale/sr@latin
-@dirrmtry share/locale/sr@ije/LC_MESSAGES
-@dirrmtry share/locale/sr@ije
-@dirrmtry share/locale/si/LC_MESSAGES
-@dirrmtry share/locale/si
-@dirrmtry share/locale/rw/LC_MESSAGES
-@dirrmtry share/locale/rw
-@dirrmtry share/locale/ps/LC_MESSAGES
-@dirrmtry share/locale/ps
-@dirrmtry share/locale/oc/LC_MESSAGES
-@dirrmtry share/locale/oc
-@dirrmtry share/locale/mr/LC_MESSAGES
-@dirrmtry share/locale/mr
-@dirrmtry share/locale/mai/LC_MESSAGES
-@dirrmtry share/locale/mai
-@dirrmtry share/locale/ku/LC_MESSAGES
-@dirrmtry share/locale/ku
-@dirrmtry share/locale/km/LC_MESSAGES
-@dirrmtry share/locale/km
-@dirrmtry share/locale/kk/LC_MESSAGES
-@dirrmtry share/locale/kk
-@dirrmtry share/locale/hy/LC_MESSAGES
-@dirrmtry share/locale/hy
-@dirrmtry share/locale/en@shaw/LC_MESSAGES
-@dirrmtry share/locale/en@shaw
-@dirrmtry share/locale/dz/LC_MESSAGES
-@dirrmtry share/locale/dz
-@dirrmtry share/locale/ca@valencia/LC_MESSAGES
-@dirrmtry share/locale/ca@valencia
-@dirrmtry share/locale/bn_IN/LC_MESSAGES
-@dirrmtry share/locale/bn_IN
-@dirrmtry share/locale/be@latin/LC_MESSAGES
-@dirrmtry share/locale/be@latin
-@dirrmtry share/locale/ast/LC_MESSAGES
-@dirrmtry share/locale/ast
-@dirrmtry share/locale/as/LC_MESSAGES
-@dirrmtry share/locale/as
 @dirrm include/atk-1.0/atk
 @dirrm include/atk-1.0
Index: devel/gettext/Makefile
===================================================================
--- devel/gettext/Makefile	(revision 316074)
+++ devel/gettext/Makefile	(working copy)
@@ -8,6 +8,8 @@
 MASTER_SITES=	${MASTER_SITE_GNU}
 MASTER_SITE_SUBDIR=	gettext
 
+LC_MESSAGES=	gettext-runtime gettext-tools
+
 # note: before committing to this port, contact portmgr to arrange for an
 # experimental ports run.  Untested commits may be backed out at portmgr's
 # discretion.
Index: devel/gettext/pkg-plist
===================================================================
--- devel/gettext/pkg-plist	(revision 316074)
+++ devel/gettext/pkg-plist	(working copy)
@@ -240,81 +240,7 @@
 %%DATADIR%%/styles/po-emacs-xterm16.css
 %%DATADIR%%/styles/po-emacs-xterm256.css
 %%DATADIR%%/styles/po-vim.css
-share/locale/be/LC_MESSAGES/gettext-runtime.mo
-share/locale/be/LC_MESSAGES/gettext-tools.mo
-share/locale/bg/LC_MESSAGES/gettext-runtime.mo
-share/locale/bg/LC_MESSAGES/gettext-tools.mo
-share/locale/ca/LC_MESSAGES/gettext-runtime.mo
-share/locale/ca/LC_MESSAGES/gettext-tools.mo
-share/locale/cs/LC_MESSAGES/gettext-runtime.mo
-share/locale/cs/LC_MESSAGES/gettext-tools.mo
-share/locale/da/LC_MESSAGES/gettext-runtime.mo
-share/locale/da/LC_MESSAGES/gettext-tools.mo
-share/locale/de/LC_MESSAGES/gettext-runtime.mo
-share/locale/de/LC_MESSAGES/gettext-tools.mo
-share/locale/el/LC_MESSAGES/gettext-runtime.mo
-share/locale/el/LC_MESSAGES/gettext-tools.mo
-share/locale/en@boldquot/LC_MESSAGES/gettext-runtime.mo
-share/locale/en@boldquot/LC_MESSAGES/gettext-tools.mo
-share/locale/en@quot/LC_MESSAGES/gettext-runtime.mo
-share/locale/en@quot/LC_MESSAGES/gettext-tools.mo
-share/locale/eo/LC_MESSAGES/gettext-runtime.mo
-share/locale/es/LC_MESSAGES/gettext-runtime.mo
-share/locale/es/LC_MESSAGES/gettext-tools.mo
-share/locale/et/LC_MESSAGES/gettext-runtime.mo
-share/locale/et/LC_MESSAGES/gettext-tools.mo
-share/locale/eu/LC_MESSAGES/gettext-tools.mo
-share/locale/fi/LC_MESSAGES/gettext-runtime.mo
-share/locale/fi/LC_MESSAGES/gettext-tools.mo
-share/locale/fr/LC_MESSAGES/gettext-runtime.mo
-share/locale/fr/LC_MESSAGES/gettext-tools.mo
-share/locale/ga/LC_MESSAGES/gettext-runtime.mo
-share/locale/gl/LC_MESSAGES/gettext-runtime.mo
-share/locale/gl/LC_MESSAGES/gettext-tools.mo
-share/locale/id/LC_MESSAGES/gettext-runtime.mo
-share/locale/id/LC_MESSAGES/gettext-tools.mo
-share/locale/it/LC_MESSAGES/gettext-runtime.mo
-share/locale/it/LC_MESSAGES/gettext-tools.mo
-share/locale/ja/LC_MESSAGES/gettext-runtime.mo
-share/locale/ja/LC_MESSAGES/gettext-tools.mo
-share/locale/ko/LC_MESSAGES/gettext-runtime.mo
-share/locale/ko/LC_MESSAGES/gettext-tools.mo
 share/locale/locale.alias
-share/locale/nb/LC_MESSAGES/gettext-runtime.mo
-share/locale/nb/LC_MESSAGES/gettext-tools.mo
-share/locale/nl/LC_MESSAGES/gettext-runtime.mo
-share/locale/nl/LC_MESSAGES/gettext-tools.mo
-share/locale/nn/LC_MESSAGES/gettext-runtime.mo
-share/locale/nn/LC_MESSAGES/gettext-tools.mo
-share/locale/pl/LC_MESSAGES/gettext-runtime.mo
-share/locale/pl/LC_MESSAGES/gettext-tools.mo
-share/locale/pt/LC_MESSAGES/gettext-runtime.mo
-share/locale/pt/LC_MESSAGES/gettext-tools.mo
-share/locale/pt_BR/LC_MESSAGES/gettext-runtime.mo
-share/locale/pt_BR/LC_MESSAGES/gettext-tools.mo
-share/locale/ro/LC_MESSAGES/gettext-runtime.mo
-share/locale/ro/LC_MESSAGES/gettext-tools.mo
-share/locale/ru/LC_MESSAGES/gettext-runtime.mo
-share/locale/ru/LC_MESSAGES/gettext-tools.mo
-share/locale/sk/LC_MESSAGES/gettext-runtime.mo
-share/locale/sk/LC_MESSAGES/gettext-tools.mo
-share/locale/sl/LC_MESSAGES/gettext-runtime.mo
-share/locale/sl/LC_MESSAGES/gettext-tools.mo
-share/locale/sr/LC_MESSAGES/gettext-runtime.mo
-share/locale/sr/LC_MESSAGES/gettext-tools.mo
-share/locale/sv/LC_MESSAGES/gettext-runtime.mo
-share/locale/sv/LC_MESSAGES/gettext-tools.mo
-share/locale/tr/LC_MESSAGES/gettext-runtime.mo
-share/locale/tr/LC_MESSAGES/gettext-tools.mo
-share/locale/uk/LC_MESSAGES/gettext-runtime.mo
-share/locale/uk/LC_MESSAGES/gettext-tools.mo
-share/locale/vi/LC_MESSAGES/gettext-runtime.mo
-share/locale/vi/LC_MESSAGES/gettext-tools.mo
-share/locale/zh_CN/LC_MESSAGES/gettext-runtime.mo
-share/locale/zh_CN/LC_MESSAGES/gettext-tools.mo
-share/locale/zh_HK/LC_MESSAGES/gettext-runtime.mo
-share/locale/zh_TW/LC_MESSAGES/gettext-runtime.mo
-share/locale/zh_TW/LC_MESSAGES/gettext-tools.mo
 @dirrm %%DATADIR%%/styles
 @dirrm %%DATADIR%%/projects/TP
 @dirrm %%DATADIR%%/projects/KDE
@@ -332,9 +258,3 @@
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/csharpdoc
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
 @dirrm lib/gettext
-@dirrmtry share/locale/en@boldquot/LC_MESSAGES
-@dirrmtry share/locale/en@quot/LC_MESSAGES
-@dirrmtry share/locale/zh_HK/LC_MESSAGES
-@dirrmtry share/locale/en@boldquot
-@dirrmtry share/locale/en@quot
-@dirrmtry share/locale/zh_HK